cl.cromer.estructuras

## Class BurbujaController

- java.lang.Object
- - cl.cromer.estructuras.BurbujaController

All Implemented Interfaces:
  javafx.fxml.Initializable

    public class BurbujaController
    extends java.lang.Object
    implements javafx.fxml.Initializable

Esta clase es para controlar todos la interfaz de Burbuja.

Author:
  Chris Cromer

### Field Summary

Fields
`private Array` `array` El array usado en la aplicación.
`private javafx.scene.text.Text` `codigoBurbuja` Donde va el codigo a mostrar a la pantalla.
`private javafx.scene.layout.HBox` `contenidoBurbuja` Donde poner el contenido de array.
`private java.util.ResourceBundle` `resourceBundle` Donde está guardado los idiomas.
`private javafx.scene.Scene` `scene` La escena donde está cosas graficas.

### Constructor Summary

Constructors
Constructor and Description
`BurbujaController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `botonCorrer()` Ordenarlo completamente.
`protected void` `botonNuevo()` Crear un array nuevo.
`protected void` `botonPaso()` Ordenarlo paso por paso.
`private void` `generarGrafico()` Poner los valores en el grafico.
`void` `initialize(java.net.URL location, java.util.ResourceBundle resourceBundle)` Inicializar todos los datos y dibujar las graficas.
`private void` `initializeScene()` Crear el array de tamaño 10.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### contenidoBurbuja

    private javafx.scene.layout.HBox contenidoBurbuja

Donde poner el contenido de array.

#### codigoBurbuja

    private javafx.scene.text.Text codigoBurbuja

Donde va el codigo a mostrar a la pantalla.

#### scene

    private javafx.scene.Scene scene

La escena donde está cosas graficas.

#### resourceBundle

    private java.util.ResourceBundle resourceBundle

Donde está guardado los idiomas.

#### array

    private Array array

El array usado en la aplicación.

### Constructor Detail

#### BurbujaController

    public BurbujaController()

### Method Detail

#### initialize

    public void initialize(java.net.URL location,
                           java.util.ResourceBundle resourceBundle)

Inicializar todos los datos y dibujar las graficas.

Specified by:
  `initialize` in interface `javafx.fxml.Initializable`
Parameters:
  `location` - URL: El URL de fxml en uso.
  `resourceBundle` - ResourceBundle: Tiene datos de idioma.

#### botonNuevo

    protected void botonNuevo()

Crear un array nuevo.

#### botonPaso

    protected void botonPaso()

Ordenarlo paso por paso.

#### botonCorrer

    protected void botonCorrer()

Ordenarlo completamente.

#### initializeScene

    private void initializeScene()

Crear el array de tamaño 10.

#### generarGrafico

    private void generarGrafico()

Poner los valores en el grafico.